LLVM: lldb::SBTypeFormat Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | Friends | List of all members
lldb::SBTypeFormat Class Reference

`#include <SBTypeFormat.h>`

Collaboration diagram for lldb::SBTypeFormat:
[legend]

## Public Member Functions
| SBTypeFormat ()
| SBTypeFormat (lldb::Format format, uint32_t options=0)
| SBTypeFormat (const char *type, uint32_t options=0)
| SBTypeFormat (const lldb::SBTypeFormat &rhs)
| ~SBTypeFormat ()
bool | IsValid () const
lldb::Format | GetFormat ()
const char * | GetTypeName ()
uint32_t | GetOptions ()
void | SetFormat (lldb::Format)
void | SetTypeName (const char *)
void | SetOptions (uint32_t)
bool | GetDescription (lldb::SBStream &description, lldb::DescriptionLevel description_level)
lldb::SBTypeFormat & | operator= (const lldb::SBTypeFormat &rhs)
bool | IsEqualTo (lldb::SBTypeFormat &rhs)
bool | operator== (lldb::SBTypeFormat &rhs)
bool | operator!= (lldb::SBTypeFormat &rhs)

## Protected Types
enum | Type { Type::eTypeKeepSame, Type::eTypeFormat, Type::eTypeEnum }

## Protected Member Functions
lldb::TypeFormatImplSP | GetSP ()
void | SetSP (const lldb::TypeFormatImplSP &typeformat_impl_sp)
| SBTypeFormat (const lldb::TypeFormatImplSP &)
bool | CopyOnWrite_Impl (Type)

## Protected Attributes
lldb::TypeFormatImplSP | m_opaque_sp

## Friends
class | SBDebugger
class | SBTypeCategory
class | SBValue

## Detailed Description

Definition at line 18 of file SBTypeFormat.h.

## Member Enumeration Documentation

enum lldb::SBTypeFormat::Type
| strongprotected

Enumerator
eTypeKeepSame |
eTypeFormat |
eTypeEnum |

Definition at line 70 of file SBTypeFormat.h.

## Constructor & Destructor Documentation

lldb::SBTypeFormat::SBTypeFormat | ( |  | ) |

lldb::SBTypeFormat::SBTypeFormat | ( | lldb::Format | format,
|  | uint32_t | options = `0`
| ) |  |

lldb::SBTypeFormat::SBTypeFormat | ( | const char * | type,
|  | uint32_t | options = `0`
| ) |  |

lldb::SBTypeFormat::SBTypeFormat | ( | const lldb::SBTypeFormat & | rhs | ) |

lldb::SBTypeFormat::~SBTypeFormat | ( |  | ) |

lldb::SBTypeFormat::SBTypeFormat | ( | const lldb::TypeFormatImplSP & |  | ) |
| protected

## Member Function Documentation

bool lldb::SBTypeFormat::CopyOnWrite_Impl | ( | Type |  | ) |
| protected

bool lldb::SBTypeFormat::GetDescription | ( | lldb::SBStream & | description,
|  | lldb::DescriptionLevel | description_level
| ) |  |

lldb::Format lldb::SBTypeFormat::GetFormat | ( |  | ) |

uint32_t lldb::SBTypeFormat::GetOptions | ( |  | ) |

lldb::TypeFormatImplSP lldb::SBTypeFormat::GetSP | ( |  | ) |
| protected

const char* lldb::SBTypeFormat::GetTypeName | ( |  | ) |

bool lldb::SBTypeFormat::IsEqualTo | ( | lldb::SBTypeFormat & | rhs | ) |

bool lldb::SBTypeFormat::IsValid | ( |  | ) | const

bool lldb::SBTypeFormat::operator!= | ( | lldb::SBTypeFormat & | rhs | ) |

lldb::SBTypeFormat& lldb::SBTypeFormat::operator= | ( | const lldb::SBTypeFormat & | rhs | ) |

bool lldb::SBTypeFormat::operator== | ( | lldb::SBTypeFormat & | rhs | ) |

void lldb::SBTypeFormat::SetFormat | ( | lldb::Format |  | ) |

void lldb::SBTypeFormat::SetOptions | ( | uint32_t |  | ) |

void lldb::SBTypeFormat::SetSP | ( | const lldb::TypeFormatImplSP & | typeformat_impl_sp | ) |
| protected

void lldb::SBTypeFormat::SetTypeName | ( | const char * |  | ) |

## Friends And Related Function Documentation

friend class SBDebugger
| friend

Definition at line 58 of file SBTypeFormat.h.

friend class SBTypeCategory
| friend

Definition at line 59 of file SBTypeFormat.h.

friend class SBValue
| friend

Definition at line 60 of file SBTypeFormat.h.

## Member Data Documentation

lldb::TypeFormatImplSP lldb::SBTypeFormat::m_opaque_sp
| protected

Definition at line 66 of file SBTypeFormat.h.

The documentation for this class was generated from the following file:

- SBTypeFormat.h